<?php
/**
 * Klasse Sip_general
 * Zeigt allgemeine sip Einstellungen
 */

class GsmGeneral {
	/*
	 * Funktion display erzeugt den Inhalt von der HTML-Seite
	 */
	function display() {

		// args
		$m = $_GET['m'];

		require_once('/usr/local/php/beroConf.php');
		// build page content
		include('./includes/header.php');
		$gsm_sms_table = $this->dynamic_table();
		$ret .= "
					<form class='extensions_form' name='gsm_gen' id='gsm_gen' action='' method='POST' ENCTYPE=\"multipart/form-data\" onsubmit='return (verify_number(smtp_port.value, \"".GSM_GENERAL_SMTP_PORT_DIS."\") && verify_number(pop3_port.value, \"".GSM_GENERAL_POP3_PORT_DIS."\"));'>
					<input type=hidden name=m value='" . $m . "'>
					<input type=hidden name=a value='save'>
					<br>
					" . $gsm_sms_table;

		//Rückgabe: Inhalt der HTML-Seite
		return $ret;
	}



	/*
	 * Smtp port wird zurückgegeben, falls in der Datenbank keinen Wert
	 * vorhanden ist, wird 60 als default zurückgegeben
	 */
	function smtp_port(){
		$bc=new beroConf('root');
		if ($bc->get("root", 'smtp_port')!="")	return $bc->get("root", 'smtp_port');
		else return 25;
	}

	/*
	 * POP3 port wird zurückgegeben, falls in der Datenbank keinen Wert
	 * vorhanden ist, wird 60 als default zurückgegeben
	 */
	function pop3_port(){
		$bc=new beroConf('root');
		if ($bc->get("root", 'pop3_port')!="")	return $bc->get("root", 'pop3_port');
		else return 110;
	}

	/*
	 * smgw-enabled wird zurückgegeben, falls in der Datenbank keinen Wert
	 * vorhanden ist, wird 60 als default zurückgegeben
	 */
	function smgw_enabled(){
		$bc=new beroConf('root');
		if ($bc->get("root", 'smgw-enabled')==1)	return "checked";
		else return "";
	}
	/*
	 * smgw_use_ssl wird zurückgegeben
	 */
	function smgw_use_ssl(){
		$bc=new beroConf('root');
		if ($bc->get("root", 'smgw_use_ssl')==1)	return "checked";
		else return "";
	}


	/*
	 * Funktion dynamic_table
	 */

	function dynamic_table() {
		//Die geänderten Werte werden gespeichert
		$bc = new beroConf('root');

		require_once("./includes/lang.php");

		if (isset($_POST['id_upd'])){
			$id=$_POST['id_upd'];
			for ($i=0;$i<count($id);$i++){
				$id_upd=$id[$i];
				$pin="pin".$id_upd;
				$pin_id=$_POST[$pin];
				$smsc="smsc".$id_upd;
				$smsc_id=$_POST[$smsc];
				$ba=new beroAri();
				$query_upd = $ba->update("UPDATE gsm SET pin='".$pin_id."', smsc='".$smsc_id."' WHERE port='".$id_upd."'");
			}
			$ba=new beroAri();
			$query=$ba->select("select option from activate");
			while($entry = $ba->fetch_array($query)){
				if ($entry['option'] <= 2){
					 $query =  $ba->update("UPDATE activate SET option=2");
					 $table.= "<script>aktivieren(1,'gsmGen','2','".ACTIVATE."');</script>";
				 }
			}
		}

		$ba=new beroAri();
		$q=$ba->select("select type, lif, master from gsm group by type,lif, master order by lif;");
		while ($ent=$ba->fetch_array($q)){
				$table.="<br/><table class='contenttoc' width='60%'>
					<tr><th colspan='3'><center>".HARDWARE_LINE_INTERFACE_DIS.":&nbsp;".$ent['lif']."
					</center></th></tr>";
		//GSM
			$query=$ba->select("select * from gsm where lif='".$ent['lif']."'");
			while ($entry=$ba->fetch_array($query)){
				$table.="<tr>
				<td><b>".HARDWARE_PORT_DIS.":</b>&nbsp;".$entry['port']."&nbsp;</td>
				<td nowrap style='padding-left:5px; padding-right:5px;'><b>".HARDWARE_PIN_DIS.":</b>&nbsp;<input type='text' name='pin".$entry['port']."' id='pin".$entry['port']."' value='".$entry['pin']."'>
				<td nowrap><b>".HARDWARE_SMSC_DIS.":</b>&nbsp;<input type='text' name='smsc".$entry['port']."' id='smsc".$entry['port']."' value='".$entry['smsc']."'>
				<input type=hidden name=id_upd[] value=".$entry['port'].">
				<script>
				$('#gsm_gen').submit(function() {
					return (check_pin($('#pin".$entry['port']."').val()) && check_smsc($('#smsc".$entry['port']."').val()));
				});
				</script>
				</td>";
			}
			$table.="</table><br/>
					<input name='submit' type='submit' value='".BUTTON_SAVE."' >
					</form>";
		}



		//Rückgabe: Erzeugte Tabelle mit den änderbaren Feldern von den Einstellungen von isgw.conf
		return $table;
	}

}
?>
